

struct BrowseCris *getBrowseParamStruct_c(uint32 secondsSince1996,
						int autoMemoryFreeFlag);
struct L1CrisCommandEcho *getCmdEchoStruct_c(uint32 secondsSince1996,
						int autoMemoryFreeFlag);
struct L1CrisCommandTable *getCmdTableStruct_c(uint32 secondsSince1996,
						int autoMemoryFreeFlag);
struct L1CrisDiagnosticEvent *getDiagnosticEventStruct_c(
			uint32 secondsSince1996, int autoMemoryFreeFlag);
struct L1CrisEventCycle *getEventCycleStruct_c(uint32 secondsSince1996,
						int autoMemoryFreeFlag);
struct L1CrisHighPriorityRate *getHiRateStruct_c(uint32 secondsSince1996,
						int autoMemoryFreeFlag);
struct L1CrisHskp *getHskpStruct_c(uint32 secondsSince1996,
						int autoMemoryFreeFlag);
struct L1CrisLowPriorityRate *getLoRateStruct_c(uint32 secondsSince1996,
						int autoMemoryFreeFlag);
struct L1CrisSubset *getSubsetStruct_c(uint32 secondsSince1996,
						int autoMemoryFreeFlag);
struct L1CrisSummary *getSummaryStruct_c(uint32 secondsSince1996,
						int autoMemoryFreeFlag);

struct BrowseCris *getGroupBrowseParams_c(uint32 secondsSince1996Start,
                    uint32 secondsSince1996Stop, int autoMemoryFreeFlag);
struct L1CrisCommandEcho *getGroupCmdEchoes_c(uint32 secondsSince1996Start,
                    uint32 secondsSince1996Stop, int autoMemoryFreeFlag);
struct L1CrisCommandTable *getGroupCmdTables_c(uint32 secondsSince1996Start,
                    uint32 secondsSince1996Stop, int autoMemoryFreeFlag);
struct L1CrisDiagnosticEvent *getGroupDiagnosticEvents_c(
                uint32 secondsSince1996Start, uint32 secondsSince1996Stop,
                                                int autoMemoryFreeFlag);
struct L1CrisHighPriorityRate *getGroupHiRates_c(uint32 secondsSince1996Start,
                    uint32 secondsSince1996Stop, int autoMemoryFreeFlag);
struct L1CrisHskp *getGroupHskps_c(uint32 secondsSince1996Start,
                    uint32 secondsSince1996Stop, int autoMemoryFreeFlag);
struct L1CrisLowPriorityRate *getGroupLoRates_c(uint32 secondsSince1996Start,
                    uint32 secondsSince1996Stop, int autoMemoryFreeFlag);
struct L1CrisSubset *getGroupSubsets_c(uint32 secondsSince1996Start,
                    uint32 secondsSince1996Stop, int autoMemoryFreeFlag);
struct L1CrisSummary *getGroupSummarys_c(uint32 secondsSince1996Start,
                    uint32 secondsSince1996Stop, int autoMemoryFreeFlag);

struct BrowseCris *getDaysBrowseParams_c(int day1996, int autoMemoryFreeFlag);
struct L1CrisCommandEcho *getDaysCmdEchoes_c(int day1996,
					int autoMemoryFreeFlag);
struct L1CrisCommandTable *getDaysCmdTables_c(int day1996,
					int autoMemoryFreeFlag);
struct L1CrisDiagnosticEvent *getDaysDiagnosticEvents_c( int day1996,
							int autoMemoryFreeFlag);
struct L1CrisHighPriorityRate *getDaysHiRates_c(int day1996,
        	                                        int autoMemoryFreeFlag);
struct L1CrisHskp *getDaysHskps_c(int day1996, int autoMemoryFreeFlag);
struct L1CrisLowPriorityRate *getDaysLoRates_c(int day1996,
 	                                               int autoMemoryFreeFlag);
struct L1CrisSubset *getDaysSubsets_c(int day1996, int autoMemoryFreeFlag);
struct L1CrisSummary *getDaysSummarys_c(int day1996, int autoMemoryFreeFlag);


int checkCompressedEvent_c(u_char *telemetry, u_long index,
						struct ce_crisEvt *event);
int findSelectedSoftCamera_c(u_char *telemetry, u_long index,
						struct ce_crisEvt *event);
struct ce_crisEvt *getEvents_c(uint32 Second1996);
long uncompressNPixel_c(u_char npix);
void unpackCenterPhas_c(u_char *telemetry, u_long *index, int telescope,
						struct ce_crisEvt *event);
int unpackEventCycle_c(struct L1CrisEventCycle *EventCycle,
						struct ce_crisEvt *event);
void unpackEventHeader_c(u_char *telemetry, u_long *index,
						struct ce_crisEvt *event);
void unpackGuardPhas_c(u_char *telemetry, u_long *index, int telescope,
						struct ce_crisEvt *event);
void unpackHodoscopeData_c(u_char *telemetry, u_long *index,
						struct ce_crisEvt *event);
void unpackStimData_c(u_char *telemetry, u_long *index,
						struct ce_crisEvt *event);
void unpackTagBits_c(u_char *telemetry, u_long *index, int telescope,
						struct ce_crisEvt *event);
