#include <stdio.h>
#include "hdfi.h"
#include "cris.h"
#include "crisGetData.h"
#include "crisSisGetUtilities.h"

struct L1CrisHskp *getGroupHskps_c(uint32 secondsSince1996Start,
                    uint32 secondsSince1996Stop, int autoFreeMemoryAllocation) {
    static struct L1CrisHskp *pSaved = NULL;
    struct L1CrisHskp *p;

	/* this has no effect if pSaved == NULL */
    free(pSaved);

    p = (struct L1CrisHskp *) getStructs(secondsSince1996Start,
                                        secondsSince1996Stop, "L1CrisHskp");

    if (autoFreeMemoryAllocation) pSaved = p;
    else pSaved = NULL;

    return p;
}
