#include <stdio.h>
#include "hdfi.h"
#include "cris.h"
#include "crisGetData.h"
#include "crisSisGetUtilities.h"

struct L1CrisHskp *getHskpStruct_c(uint32 secondsSince1996,
						int autoFreeMemoryAllocation) {
    static struct L1CrisHskp *pSaved = NULL;
    struct L1CrisHskp *p;

	/* this has no effect if pSaved == NULL */
    free(pSaved);

    p = (struct L1CrisHskp *)
			getStruct(secondsSince1996, "L1CrisHskp");

    if (autoFreeMemoryAllocation) pSaved = p;
    else pSaved = NULL;

    return p;
}
