#include <stdio.h>
#include "hdfi.h"
#include "sis.h"
#include "sisGetData.h"
#include "crisSisGetUtilities.h"

struct L1SisCommandEcho *getDaysCmdEchoes_s(int day1996,
						int autoFreeMemoryFlag) {
    static struct L1SisCommandEcho *pSaved = NULL;
    struct L1SisCommandEcho *p;

	/* this has no effect if pSaved == NULL */
    if (autoFreeMemoryFlag) free(pSaved);

    p = (struct L1SisCommandEcho *)
				getDaysStructs(day1996, "L1SisCommandEcho");

    if (autoFreeMemoryFlag) pSaved = p;
    else pSaved = NULL;

    return p;
}
