#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <errno.h>
#include <string.h>
#include "crisSisGetUtilities.h"

int overlapFileExists(char *dataFilePath) {
    char overlapFileName[256];
    struct stat fileStats;
    int statReturnValue;

    strcpy(overlapFileName, dataFilePath);
    strcat(overlapFileName, ".overlap");
    statReturnValue = stat(overlapFileName, &fileStats);

    if (statReturnValue == -1) {
	if (errno == ENOENT) return 0;	/* file does not exist */
	else {
	    perror("overlapFileExists:\n\t");
	    exit(0);
	}
    }

    return 1;	/* file exists */
}
