#include <stdio.h>
#include "hdfi.h"
#include "sis.h"
#include "sisGetData.h"
#include "crisSisGetUtilities.h"

struct L1SisSubset *getSubsetStruct_s(uint32 secondsSince1996,
						int autoFreeMemoryFlag) {
    static struct L1SisSubset *pSaved = NULL;
    struct L1SisSubset *p;

	/* this has no effect if pSaved == NULL */
    if (autoFreeMemoryFlag) free(pSaved);

    p = (struct L1SisSubset *)
			getStruct(secondsSince1996, "L1SisSubset");

    if (autoFreeMemoryFlag) pSaved = p;
    else pSaved = NULL;

    return p;
}
